﻿namespace ShellExtensions.Resources
{
    internal sealed class LocalizedMessages
    {
        public const string StorageStreamBufferOverflow = "The sum of offset and count must be less than or equal to the size of the buffer.";
        public const string StorageStreamCountLessThanZero = "Count must be greater than or equal to zero.";
        public const string StorageStreamIsReadonly = "The stream was initialized as read-only.";
        public const string StorageStreamOffsetLessThanZero = "Offset must be greater than or equal to zero.";

        public const string ThumbnailProviderDisabledProcessIsolation = "{0} does not implement IThumbnailFromStream and so requires DisableProcessIsolation set to true.";
        public const string ThumbnailProviderInterfaceNotImplemented = "{0} must implement one or more of IThumbnailFromStream, IThumbnailFromShellObject or IThumbnailFromFile.";
    }
}
